/* Authors: Aleksandar Mitic, Ali Sedighi, Dylan Kierans                                       */
/* Task link: https://www.hackerrank.com/challenges/cpp-lower-bound/problem?isFullScreen=true  */

#include <cmath>
#include <cstdio>
#include <vector>
#include <iostream>
#include <algorithm>
using namespace std;


int main() {
    /* Enter your code here. Read input from STDIN. Print output to STDOUT */   
    vector<int>v;
    vector<int>q1;
    int N,M,x;
    cin>>N;
    for (int i=0;i<N;i++){
        cin>>x;
        v.push_back(x);
    }
    cin>>M;
    for (int i=0;i<M;i++){
        cin>>x;
        q1.push_back(x);
    }
    for (int i:v){
        cout<<i<<" ";
    }
    cout << '\n';

    for (int i:q1){
        cout<<i<<" ";
    }
    cout << '\n';

    // [3,5,7]
    // q=5 -> lower_bound=5, upper_bound=7
    for (int i=0; i<q1.size(); ++i)
    {
        //const auto it = find_if(v.begin(), v.end(), q1[i]); 
        const auto it =     std::lower_bound(v.begin(), v.end(), q1[i]); 
        const auto upper =  std::upper_bound(v.begin(), v.end(), q1[i]); 

        size_t distance = std::distance(v.begin(), it) + 1; 
        if(it != upper){
            cout <<"Yes "<< distance << endl; 
        }
        else {
            cout <<"No "<< distance << endl;  
        }
    }
    return 0;
}
